Subject: [BUG] texlive-bin doesn't set $TEXMFCACHE properly
From: Christopher Rodriguez <[email-masked]>
To: [email-masked]
Date: Mon, 25 Apr 2022 14:10:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

I'm currently switching from using the monolithic texlive package to a
bunch of the broken-out, smaller ones. However, when texlive-bin is
installed (and thus, when luaotfload-tool is available), the environment
variable $TEXMFCACHE is not defined. This leads to it being auto-detected
(and incorrectly identified somehow as
`$PWD/'{'$GUIX_PROFILE/share/texmf-dist` which is read-only.)

As a workaround, I have added an explicit definition for $TEXMFCACHE in
my .bash_profile, but I wanted to report this as a bug in case someone
more familiar with the package could fix it.

--

Christopher Rodriguez